ZK Compression
getCompressedTokenAccountsByOwner
Returns the compressed token accounts owned by a certain account.
POST
/
cURL
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedTokenAccountsByOwner",
"params": {
"owner": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"cursor": "3J98t1WpEZ73CNm",
"limit": 1,
"mint": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9"
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedTokenAccountsByOwner",
"params": {
"owner": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"cursor": "3J98t1WpEZ73CNm",
"limit": 1,
"mint": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getCompressedTokenAccountsByOwner',
params: {
owner: '11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9',
cursor: '3J98t1WpEZ73CNm',
limit: 1,
mint: '11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9'
}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"slot": 100
},
"value": {
"items": [
{
"account": {
"hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"lamports": 100,
"leafIndex": 100,
"owner": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"seq": 100,
"slotCreated": 100,
"tree": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"address": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"data": {
"data": "SGVsbG8sIFdvcmxkIQ==",
"dataHash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"discriminator": 100
}
},
"tokenData": {
"amount": 100,
"mint": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"owner": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"delegate": "11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9",
"tlv": "SGVsbG8sIFdvcmxkIQ=="
}
}
],
"cursor": "3J98t1WpEZ73CNm"
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
string
default:"3J98t1WpEZ73CNm"
Pagination cursor for retrieving subsequent sets of compressed token accounts in Solana wallets with large holdings
number
Maximum number of compressed token accounts to return per request (for pagination)
string
default:"11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9"
Filter compressed token accounts by specific Solana token mint address
string
default:"11111115q4EpJaTXAZWpCg3J2zppWGSZ46KXozzo9"
required
A Solana public key represented as a base58 string for account and wallet addresses.
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
The name of the method to invoke.
Available options:
getCompressedTokenAccountsByOwner Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
